tigase.server.sreceiver.sysmon

## Class MemMonitor

- java.lang.Object
- - tigase.server.sreceiver.sysmon.AbstractMonitor
  - - tigase.server.sreceiver.sysmon.MemMonitor

- All Implemented Interfaces:
    EventListener, NotificationListener, ResourceMonitorIfc

      public class MemMonitor
      extends AbstractMonitor
      implements NotificationListener

  Created: Dec 10, 2008 1:23:17 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.sreceiver.sysmon.AbstractMonitor

      `treshold, warningsSent`

    - ### Fields inherited from interface tigase.server.sreceiver.sysmon.ResourceMonitorIfc

      `INTERVAL_10SECS, INTERVAL_1DAY, INTERVAL_1HOUR, INTERVAL_1MIN, MINUTE, SECOND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemMonitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check1Min(Queue<Packet> results)`
    `void` | `destroy()`
    `String` | `getState()`
    `void` | `getStatistics(StatisticsList list)`
    `void` | `handleNotification(Notification note, Object handback)`
    `void` | `init(JID jid, float treshold, SystemMonitorTask smTask)`

    - ### Methods inherited from class tigase.server.sreceiver.sysmon.AbstractMonitor

      `check10Secs, check1Day, check1Hour, commandsHelp, isMonitorCommand, prepareCalmDown, prepareWarning, resetWarnings, runCommand, sendWarningOut, setValueInArr, setValueInArr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemMonitor

          public MemMonitor()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `ResourceMonitorIfc`

    - #### init

          public void init(JID jid,
                           float treshold,
                           SystemMonitorTask smTask)

      Specified by:
        `init` in interface `ResourceMonitorIfc`
      Overrides:
        `init` in class `AbstractMonitor`

    - #### handleNotification

          public void handleNotification(Notification note,
                                         Object handback)

      Specified by:
        `handleNotification` in interface `NotificationListener`

    - #### getState

          public String getState()

      Specified by:
        `getState` in interface `ResourceMonitorIfc`

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Specified by:
        `getStatistics` in interface `ResourceMonitorIfc`
      Overrides:
        `getStatistics` in class `AbstractMonitor`

    - #### check1Min

          public void check1Min(Queue<Packet> results)

      Specified by:
        `check1Min` in interface `ResourceMonitorIfc`
      Overrides:
        `check1Min` in class `AbstractMonitor`

Copyright © 2022 "Tigase, Inc.". All rights reserved.